import { Component, CSSProperties } from 'react';
import Item, { IBreadcrumbItemProps } from './Item';
export interface IBreadcrumbProps {
    breads: IBreadcrumbItemProps[];
    className: string;
    maxItemCount?: number;
    style?: CSSProperties;
}
export interface IBreadcrumbState {
    isFolded: boolean;
    overflowLeft: boolean;
    overflowRight: boolean;
    contentStyleLeft: number;
}
export declare class Breadcrumb extends Component<IBreadcrumbProps, IBreadcrumbState> {
    static defaultProps: {
        className: string;
        breads: any[];
    };
    state: {
        isFolded: boolean;
        overflowLeft: boolean;
        overflowRight: boolean;
        contentStyleLeft: number;
    };
    breadcrumbRef: import("react").RefObject<HTMLDivElement>;
    contentRef: import("react").RefObject<HTMLDivElement>;
    isMoving: boolean;
    static Item: typeof Item;
    get breadcrumbWidth(): number;
    get breadcrumbLeft(): number;
    get contentWidth(): number;
    getOverflowStatus: () => void;
    componentDidMount: () => void;
    componentDidUpdate: (prevProps: IBreadcrumbProps) => void;
    handleClickMoveLeft: () => void;
    handleClickMoveRight: () => void;
    unfoldBreads: () => void;
    getFoldItems: () => IBreadcrumbItemProps[];
    render(): JSX.Element;
}
export default Breadcrumb;
