import { FC } from 'react';
import { ICombinedDateRangePanelProps } from './panels/combined-date-range-panel';
import { IValueType, RangeDate, IRangeDisabledDateFunc, IDisabledDateSimple, IRangeRelatedType } from './types';
interface IProps<T extends IValueType = 'string'> extends Pick<ICombinedDateRangePanelProps, 'showTime' | 'disabledTime' | 'leftClassName' | 'rightClassName' | 'footerClassName' | 'hideConfirm'>, IRangeRelatedType<T> {
    value: RangeDate | null;
    format?: string;
    disabledDate?: IRangeDisabledDateFunc | IDisabledDateSimple;
    defaultDate?: RangeDate | null;
    className?: string;
    dateSpan?: number;
}
export declare const CombinedPanelRangePicker: FC<IProps>;
export default CombinedPanelRangePicker;
