import { PureComponent } from 'react';
import { IGridScrollDelta, GridRowClassNameType, IGridRowClickHandler, IGridExpandation, IGridInnerFixedType } from './types';
import { IGridInnerColumn, IGridProps } from './Grid';
export interface IGridBodyProps<Data> {
    size: IGridProps['size'];
    prefix: string;
    columns: Array<IGridInnerColumn<Data>>;
    rowKey: string;
    rowClassName?: GridRowClassNameType<Data>;
    fixed?: IGridInnerFixedType;
    hasFixedColumn: boolean;
    scroll: IGridScrollDelta;
    fixedColumnsBodyRowsHeight: Array<number | string>;
    fixedColumnsBodyExpandRowsHeight: Array<number | string>;
    expandRowKeys: boolean[];
    mouseOverRowIndex: number;
    expandRender: IGridExpandation<Data>['expandRender'];
    rowProps?: (data: Data, index: number) => any;
    datasets: ReadonlyArray<Data>;
    components?: {
        row?: React.ComponentType;
    };
    onRowClick: IGridRowClickHandler<Data>;
    onRowMouseEnter: (index: number) => void;
    disableHoverHighlight: boolean;
}
declare class Body<Data> extends PureComponent<IGridBodyProps<Data>> {
    getRows(): import("react").ReactNode[];
    onBodyMouseLeave: () => void;
    renderTbody(): JSX.Element;
    render(): JSX.Element;
}
export default Body;
