import { ReactNode } from 'react';
import { IFixedProps, IInnerTab, ITabPanelProps, ITabsNavProps } from './types';
export declare function getTabDataFromChild<Id>(child: React.ReactElement<React.PropsWithChildren<ITabPanelProps<Id>>>, activeId: Id): IInnerTab<Id>;
export declare function commonTransformTabData<Id>(tabItem: IInnerTab<Id>, propCandel: boolean, fixedProps?: IFixedProps<Id>): {
    fixedIds?: Id[];
    onFixedChange?: (ids: Id[]) => void;
    key: Id;
    actived: boolean;
    disabled: boolean;
    title: ReactNode;
    className: string;
    candel: boolean;
    canFixed: boolean;
};
export declare const getTabPanelStringTitle: (title: ReactNode) => string;
export declare const getFixedProps: <Id>(props: ITabsNavProps<Id>) => IFixedProps<Id>;
