---
title: Prompt
path: component/prompt
group: Feedback
---

## Prompt

Deliver behavioral feedback and confirmation push messages to users related to the current page.

#### Suggestion

- Use: Used to deliver product or system prompts to users. It has nothing to do with the user's task or state and will exist until processed or closed by the user.
- Location: Tips for the global page are usually located at the top of the content area container and are adaptive to the container width; The prompt for a form item is usually located above or below the form item, and the width can be customized by the business.

#### Note

- Use hints only when necessary and limit them to the task interface related to their content. Frequent use may cause users to pay less attention to the prompt;
- Do not stack multiple prompts in the same position.
- If a message is generated by a task rather than the system, use the StatusBar.
- For more lightweight interactions, use [?] Folding help information;

### API

| Property     | Description                                       | Type        | Required | Default     | Alternative                  |
| ------------ | ------------------------------------------------- | ----------- | -------- | ----------- | ---------------------------- |
| type         | The type of prompt                                | `string`    | false    | `'warning'` | `'strongHint'`\|`'weakHint'` |
| closeContent | close trigger content                             | `ReactNode` | false    |             |                              |
| extraContent | extra content on the right of Prompt              | `ReactNode` | false    |             |                              |
| closable     | determines whether the Alert can be closed or not | `boolean`   | false    | `true`      | `false`                      |

Consult [Alert's documentation](https://youzan.github.io/zent/en/component/alert) to find more APIs.
